> For the complete documentation index, see [llms.txt](https://docs.samesystem.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.samesystem.dev/api-v1-reference/sales-budgets/get-monthly-sales-budgets.md).

# Get monthly sales budgets

Get monthly sales budgets. Returns numbers for the whole financial year.

```json
{"openapi":"3.0.0","info":{"title":"SameSystem API V1","version":"1.1.3"},"servers":[{"url":"https://api.samesystem.com/api/v1/","description":""}],"paths":{"/{clientToken}/budget/monthly/{year}":{"get":{"tags":["Sales budgets"],"summary":"Get monthly sales budgets","description":"Get monthly sales budgets. Returns numbers for the whole financial year.","operationId":"get-clientToken-budget-monthly-year","parameters":[{"name":"clientToken","in":"path","description":"Please use the full clienttoken (c-part and d-part) to ensure that you retrieve/send the data to the right department.","required":true,"schema":{"type":"string"}},{"name":"year","in":"path","description":"The year to retrieve/send daily sales budgets to. Format: YYYY","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SalesBudgetMonthly"}}}}}}}},"components":{"schemas":{"SalesBudgetMonthly":{"type":"object","properties":{"monthly_budgets":{"type":"array","items":{"required":["amount","month","year"],"type":"object","properties":{"year":{"type":"integer"},"month":{"type":"integer"},"amount":{"type":"number","description":"Amount is set to 0.0 on months without a budget."}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.samesystem.dev/api-v1-reference/sales-budgets/get-monthly-sales-budgets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
